## com.crystaldecisions.sdk.occa.report.data
Interface IField

All Known Subinterfaces:
  IFormulaField, IParameterField

All Known Implementing Classes:
  Field, FormulaField, ParameterField

public interface IField

This interface defines a report field in general. It is used as an abstract base from which other report fields inherit, and it contains methods and properties that are common to all report fields.

Method Summary
`java.lang.String` | `getDescription()` Returns a description of the field.
`java.lang.String` | `getDisplayName(FieldDisplayNameType displayNameType, java.util.Locale locale)` Returns the name of the field that has been formatted according to the value of the parameter `displayNameType`.
`java.lang.String` | `getFormulaForm()` Returns the name of the field as it will be used in a formula.
`java.lang.String` | `getHeadingText()` Returns the text used as a heading when the field is added to the report.
`boolean` | `getIsRecurring()` Returns `true` if the field is recurring, and `false` otherwise.
`FieldKind` | `getKind()` Returns what kind of field this is.
`int` | `getLength()` Returns the maximum length the field's data may be (in bytes).
`java.lang.String` | `getLongName(java.util.Locale locale)` Returns the fully qualified name of the field.
`java.lang.String` | `getName()` Returns the name of the field.
`java.lang.String` | `getShortName(java.util.Locale locale)` Returns the short name of the field.
`FieldValueType` | `getType()` Returns what type of field this is.
`void` | `setDescription(java.lang.String description)` Sets the description of the field.
`void` | `setHeadingText(java.lang.String headingText)` Sets the text used as a heading when the field is added to the report.
`void` | `setLength(int length)` Sets the maximum length the field's data may be (in bytes).
`void` | `setName(java.lang.String name)` Sets the name of the field.
`void` | `setType(FieldValueType valueType)` Sets what type of field this is.

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns a description of the field.

  Returns:
    A `String` containing a description of the field.

### getHeadingText

    public java.lang.String getHeadingText()

  Returns the text used as a heading when the field is added to the report.

  Returns:
    A `String` containing the text used as a heading when the field is added to the report.

### getFormulaForm

    public java.lang.String getFormulaForm()

  Returns the name of the field as it will be used in a formula. This is a unique identifier to avoid ambiguity in formula code. It is the same value as the one used in the CRW formula editor.

  Returns:
    A `String` containing the name of the field as it will be used in a formula.

### getIsRecurring

    public boolean getIsRecurring()

  Returns `true` if the field is recurring, and `false` otherwise. A field is recurring if its contents change during the formatting of a report. A constant field (not recurring) is one that doesn't change. The special field "Page Number," for example, is a recurring field, while the special field "Report Title" is not.

  Returns:
    `true` if the field is recurring, and `false` otherwise.

### getKind

    public FieldKind getKind()

  Returns what kind of field this is. Do not confuse this property with Type. Kind identifies what sort of report field this is, while Type identifies what the field is composed of. For example, a bitmap, string, chart, number, date, and so on.

  Returns:
    A `String` that specifies what kind of field this is.

### getLength

    public int getLength()

  Returns the maximum length the field's data may be (in bytes).

  Returns:
    A `String` containing the maximum length the field's data may be (in bytes).

### getLongName

    public java.lang.String getLongName(java.util.Locale locale)

  Returns the fully qualified name of the field.

  Parameters:
    `locale` - The locale that will be used to localize the field.
  Returns:
    A `String` containing the fully qualified name of the field.

### getName

    public java.lang.String getName()

  Returns the name of the field. For `DBField` objects, the value returned by this method is equivalent to the `getDisplayName` method.

  Returns:
    A `String` containing the name of the field.

### getShortName

    public java.lang.String getShortName(java.util.Locale locale)

  Returns the short name of the field.

  Parameters:
    `locale` - The locale that will be used to localize the field name.
  Returns:
    A `String` containing the short name of the field.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of the field.

  Parameters:
    `description` - A `String` containing a description of the field.

### setHeadingText

    public void setHeadingText(java.lang.String headingText)

  Sets the text used as a heading when the field is added to the report.

  Parameters:
    `headingText` - A `String` containing the text used as a heading when the field is added to the report.

### setLength

    public void setLength(int length)

  Sets the maximum length the field's data may be (in bytes).

  Parameters:
    `length` - A `String` containing the maximum length the field's data may be (in bytes).

### setName

    public void setName(java.lang.String name)

  Sets the name of the field. For `DBField` objects, the value returned by this method is equivalent to the `getDisplayName` method.

  Parameters:
    `name` - A `String` containing the name of the field.

### getDisplayName

    public java.lang.String getDisplayName(FieldDisplayNameType displayNameType,
                                           java.util.Locale locale)

  Returns the name of the field that has been formatted according to the value of the parameter `displayNameType`.

  Parameters:
    `displayNameType` - Indicates how the display text should be formatted. It may be one of the values listed under `FieldDisplayNameType`.
    `locale` - Formats the string according to a locale.
  Returns:
    A `String` containing the name of the field that has been formatted according to the value of the parameter `displayNameType`.

### getType

    public FieldValueType getType()

  Returns what type of field this is. Do not confuse this property with Kind. Kind identifies what sort of report field this is, while Type identifies what data it stores. For example, a bitmap, string, 8 bit integer, chart, etc.

  Returns:
    A `FieldValueType` object that specifies what type of field this is.

### setType

    public void setType(FieldValueType valueType)

  Sets what type of field this is. Do not confuse this property with Kind. Kind identifies what sort of report field this is, while Type identifies what data it stores. For example, a bitmap, string, 8 bit integer, chart, etc.

  Parameters:
    `valueType` - A `FieldValueType` object that specifies what type of field this is.